Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jsp22
Class JspConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jsp22.JspConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, JspConfigType<T>

    public class JspConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, JspConfigType<T>

This class implements the `jsp-configType` xsd type

Original Documentation:

The jsp-configType is used to provide global configuration
information for the JSP files in a web application. It has
two subelements, taglib and jsp-property-group.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`JspConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`JspConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<JspPropertyGroupType<JspConfigType<T>>>` | `getJspPropertyGroupList()` Returns all `jsp-property-group` elements
`java.util.List<TaglibType<JspConfigType<T>>>` | `getTaglibList()` Returns all `taglib` elements
`JspPropertyGroupType<JspConfigType<T>>` | `jspPropertyGroup()` Returns the `jsp-property-group` element
`JspConfigType<T>` | `removeAllJspPropertyGroup()` Removes all `jsp-property-group` elements
`JspConfigType<T>` | `removeAllTaglib()` Removes all `taglib` elements
`TaglibType<JspConfigType<T>>` | `taglib()` Returns the `taglib` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspConfigTypeImpl

    public JspConfigTypeImpl(T t,
                             java.lang.String nodeName,
                             org.jboss.shrinkwrap.descriptor.spi.Node node)

### JspConfigTypeImpl

    public JspConfigTypeImpl(T t,
                             java.lang.String nodeName,
                             org.jboss.shrinkwrap.descriptor.spi.Node node,
                             org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllTaglib

    public JspConfigType<T> removeAllTaglib()

  Removes all `taglib` elements

  Specified by:
    `removeAllTaglib` in interface `JspConfigType<T>`
  Returns:
    the current instance of `JspConfigType`

### taglib

    public TaglibType<JspConfigType<T>> taglib()

  Returns the `taglib` element

  Specified by:
    `taglib` in interface `JspConfigType<T>`
  Returns:
    the node defined for the element `taglib`

### getTaglibList

    public java.util.List<TaglibType<JspConfigType<T>>> getTaglibList()

  Returns all `taglib` elements

  Specified by:
    `getTaglibList` in interface `JspConfigType<T>`
  Returns:
    list of `taglib`

### removeAllJspPropertyGroup

    public JspConfigType<T> removeAllJspPropertyGroup()

  Removes all `jsp-property-group` elements

  Specified by:
    `removeAllJspPropertyGroup` in interface `JspConfigType<T>`
  Returns:
    the current instance of `JspConfigType`

### jspPropertyGroup

    public JspPropertyGroupType<JspConfigType<T>> jspPropertyGroup()

  Returns the `jsp-property-group` element

  Specified by:
    `jspPropertyGroup` in interface `JspConfigType<T>`
  Returns:
    the node defined for the element `jsp-property-group`

### getJspPropertyGroupList

    public java.util.List<JspPropertyGroupType<JspConfigType<T>>> getJspPropertyGroupList()

  Returns all `jsp-property-group` elements

  Specified by:
    `getJspPropertyGroupList` in interface `JspConfigType<T>`
  Returns:
    list of `jsp-property-group`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD